For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
On this page
  • 🆕 Recommended API Testing (No Credits Needed)
  • Create participant accounts for testing (Legacy method - will be deprecated)
  • Publish test studies to testers only (Legacy method - will be deprecated)
API Reference

Testing

|View as Markdown|Open in Claude|
Was this page helpful?
Previous

Calculate reward recommendations

Next

Well-Known Endpoints

To confirm that your integration works correctly, you have several testing options. We now recommend using our new API testing method, while the existing approaches will be gradually deprecated.

🆕 Recommended API Testing (No Credits Needed)

1

Create test participants: POST /api/v1/researchers/participants/

2

Publish in test mode: POST /api/v1/studies/{id}/test-study

3

Complete the study as a test participant

4

Approve or reject submissions normally

This new method doesn’t consume credits and will become the standard approach.

Create participant accounts for testing (Legacy method - will be deprecated)

1

Submit a request to our support team with: - List of emails for the participant accounts (cannot be the same as researcher account) - Your team’s country for testing

2Log in to your participant test accounts.
If you want to be signed in with both accounts, use incognito or a different browser for your participant account.

Publish test studies to testers only (Legacy method - will be deprecated)

1

Create a study draft with an allow list:

"filters": [
{
"filter_id": "custom_allowlist",
"selected_values": [
"61f292141b0ec8b3b5ab353",
"61f2914e3bb4b4d40080aec"
]
}
]
2

Publish the study draft

3

Complete the study as a participant

4

Approve or reject participants

Rejected participants may need support reset. We recommend using the new API testing method instead.